petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrncmp

Compares two strings, up to a certain length

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrncmp(const char a[],const char b[],size_t n,PetscBool  *t)

Not Collective Many br

### Input Parameters

| a | - pointer to first string Many br
| b | - pointer to second string Many br
| n | - length to compare up to Many br

### Output Parameter

t -if the two strings are equal Many br

Many br

Notes: Not for use in Fortran Many br

### See Also

PetscStrgrt(), PetscStrcmp(), PetscStrcasecmp()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages